Gravar Comprimentos de Linhas em Arquivo TXT

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)
Mais um exemplo:

;; Selecione uma a uma as linhas de um desenho e os comprimentos delas vão sendo gravadas num arquivo de texto.

(defun C:Comp2Arq ()
(setq arq (open “C:\\Temporario\\testdist5.txt” “w”))
(setq om (ssget “:E”))
(command “change” om “” “p” “c” “1” “”)
(setq k 0 )
(setq om2 (entget (ssname om k)))
(while om

(setq pd1 (list ( nth 1 (assoc 10 om2)) ( nth 2 (assoc 10 om2))))
(setq pd2 (list ( nth 1 (assoc 11 om2)) ( nth 2 (assoc 11 om2))))
(command “dist” pd1 pd2)
(setq d (getvar “distance”))
(print d arq)
(print “” arq)
(setq om (ssget “:E”))

(if om (progn

(command “change” om “” “p” “c” “1” “”)
(setq om2 (entget (ssname om k)))

) )

)
(close arq)
)

Sobre NilsonRDG

Minha lista de scripts/rotinas em Autolisp, Autohotkey, JavaScript, PHP e VBA. Nilson Rodrigues - Ouro Preto - MG
Esse post foi publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil. Bookmark o link permanente.

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair /  Alterar )

Foto do Google

Você está comentando utilizando sua conta Google. Sair /  Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair /  Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair /  Alterar )

Conectando a %s